Name: xfce-settings-simply-linux
Version: 5.0
Release: alt4.M51.3
BuildArch: noarch

Source:%name-%version.tar.bz2

Summary: Xfce4 settings for Simply linux distribution
Summary(ru_RU.UTF8): Стандартные настройки Xfce для сборки Simply linux
License: GPL
Group: System/Configuration/Other
Packager: Denis Koryavov <dkoryavov@altlinux.org>

Requires: etcskel gtk2-theme-simplicity
Requires: gnome-icon-theme icon-theme-simple
Requires: branding-simply-linux-graphics

Obsoletes: xfce-settings-desktop

Conflicts: xfce-settings-lite xfce-settings-lite-office-superlite xfce-settings-lite-office-lite xfce-settings-lite-network 
Conflicts: xfce-settings-lite-school xfce-settings-lite-school-office-superlite xfce-settings-lite-school-xfce-office-lite 
Conflicts: xfce-settings-lite-school-xfce-network-lite

%description
This package contains default settings for Xfce 4.6 for Simply linux distribution.

%description -l ru_RU.UTF-8 
Данный пакет содержит в себе настройки Xfce 4.6 используемые по умолчанию в сборке
Simply linux ("Просто линукс").

"Просто линукс" - это сборка ALT Linux основанная на Xfce ориентированная на 
предоставлению пользователю простого и достаточного (для выполнения любых 
повседневных задач) рабочего окружения сразу после установки.
Девиз "Просто линукс" - "просто работает".

Целевая аудитория дистрибутива - начинающие и неопытные пользователи, а так же
те люди, кому необходимо "просто работать".  

%prep
%setup -q

%install

mkdir -p %buildroot/etc/skel/.config/Terminal
mkdir -p %buildroot/etc/skel/.config/Thunar
mkdir -p %buildroot/etc/skel/.config/autostart
mkdir -p %buildroot/etc/skel/.config/sonata

mkdir -p %buildroot/etc/skel/.gconf/apps/gnome-screensaver
mkdir -p %buildroot/etc/skel/.gconf/desktop/gnome/session

mkdir -p %buildroot/etc/skel/.config/xfce4/desktop
mkdir -p %buildroot/etc/skel/.config/xfce4/notication-daemon-xfce
mkdir -p %buildroot/etc/skel/.config/xfce4/panel
mkdir -p %buildroot/etc/skel/.config/xfce4/xfconf
mkdir -p %buildroot/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml

mkdir -p %buildroot/etc/skel/.local/share/applications
mkdir -p %buildroot/etc/skel/Templates
mkdir -p %buildroot/etc/skel/Музыка
mkdir -p %buildroot/etc/skel/Музыка/mpd
mkdir -p %buildroot/etc/skel/Музыка/mpd/playlists

cp etcskel/Templates/* %buildroot/etc/skel/Templates

install -m 644 etcskel/.config/Terminal/*  %buildroot/etc/skel/.config/Terminal
install -m 644 etcskel/.config/Thunar/*  %buildroot/etc/skel/.config/Thunar
install -m 644 etcskel/.config/autostart/*  %buildroot/etc/skel/.config/autostart
install -m 644 etcskel/.config/sonata/*  %buildroot/etc/skel/.config/sonata
install -m 644 etcskel/.config/meditrc  %buildroot/etc/skel/.config

install -m 644 etcskel/.gconf/apps/gnome-screensaver/* %buildroot/etc/skel/.gconf/apps/gnome-screensaver
install -m 644 etcskel/.gconf/desktop/*.xml %buildroot/etc/skel/.gconf/desktop
install -m 644 etcskel/.gconf/desktop/gnome/*.xml %buildroot/etc/skel/.gconf/desktop/gnome
install -m 644 etcskel/.gconf/desktop/gnome/session/*.xml %buildroot/etc/skel/.gconf/desktop/gnome/session

install -m 644 etcskel/.config/xfce4/desktop/* %buildroot/etc/skel/.config/xfce4/desktop
install -m 644 etcskel/.config/xfce4/notication-daemon-xfce/* %buildroot/etc/skel/.config/xfce4/notication-daemon-xfce
install -m 644 etcskel/.config/xfce4/panel/* %buildroot/etc/skel/.config/xfce4/panel
install -m 644 etcskel/.config/xfce4/xfconf/xfce-perchannel-xml/* %buildroot/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
install -m 644 etcskel/.config/xfce4/Xcursor.xrdb %buildroot/etc/skel/.config/xfce4/
install -m 644 etcskel/.config/xfce4/Xft.xrdb %buildroot/etc/skel/.config/xfce4/

install -m 644 etcskel/.local/share/applications/*  %buildroot/etc/skel/.local/share/applications
install -m 644 etcskel/.wm-select %buildroot/etc/skel/
install -m 644 etcskel/.fonts.conf %buildroot/etc/skel/
install -m 644 etcskel/.mpdconf %buildroot/etc/skel/

mkdir -p %buildroot/usr/share/xfce4/backdrops/vladstudio.com/1600x1200
mkdir -p %buildroot/usr/share/xfce4/backdrops/vladstudio.com/1680x1050
cp -P backgrounds/*.jpg %buildroot/usr/share/xfce4/backdrops/
install -m 644 backgrounds/vladstudio.com/LICENSE.txt %buildroot/usr/share/xfce4/backdrops/vladstudio.com/
install -m 644 backgrounds/vladstudio.com/1600x1200/* %buildroot/usr/share/xfce4/backdrops/vladstudio.com/1600x1200/
install -m 644 backgrounds/vladstudio.com/1680x1050/* %buildroot/usr/share/xfce4/backdrops/vladstudio.com/1680x1050/

%files
/etc/skel/Templates
/etc/skel/Музыка/mpd/playlists
/etc/skel/.wm-select
/etc/skel/.fonts.conf
/etc/skel/.mpdconf
/etc/skel/.config
/etc/skel/.local
/etc/skel/.gconf
/usr/share/xfce4/backdrops

%changelog
* Fri Jan 29 2010 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt4.M51.3
- Changed default application list.

* Fri Nov 06 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt4.M51.2
- Fixed bug with copying symbolic links (when copied the file itself and not a symbolic link).

* Tue Nov 03 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt4.M51.1
- Backport to 5.1.

* Tue Nov 03 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt5
- Version update for easy backport to 5.1.

* Sun Oct 25 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt4
- Added symbolic links to 1680x1050 wallpapers.
- Added volmanrc file.
- Added configuration for gnome-screensaver.
- Changed Xfdesktop settings. 

* Tue Oct 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt3
- Added workaround for easytag bug 21320. 
- Added some templates.

* Sat Oct 17 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt2
- Changed panel menu icon path.

* Thu Oct 15 2009 Denis Koryavov <dkoryavov@altlinux.org> 5.0-alt1
- Added wallpapers from vladstudio.com created specifically for Simply Linux.

* Mon Oct 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.0-alt1
- Theme changes where taken into account.

* Sun Oct 04 2009 Denis Koryavov <dkoryavov@altlinux.org> 3.1-alt3
 -Removed spec problems.

* Sun Oct 04 2009 Denis Koryavov <dkoryavov@altlinux.org> 3.1-alt2
- Changed image assotiations to gthumb.

* Sun Oct 04 2009 Denis Koryavov <dkoryavov@altlinux.org> 3.1-alt1
- Changed keyboard shorcuts settings.

* Wed Sep 09 2009 Denis Koryavov <dkoryavov@altlinux.org> 3.0-alt2
- Added some fixes for xkb-plugin rc file.

* Tue Aug 18 2009 Denis Koryavov <dkoryavov@altlinux.org> 3.0-alt1
- Added sonata settings. Now, mpd are completely configured.

* Sat Jun 27 2009 Denis Koryavov <dkoryavov@altlinux.org> 2.0-alt1
 - Added fonts configuration file and settings for mpd.
 - Chaged dependencies.

* Sun May 31 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0-alt2
- Fixed Thunderbird panel launcher

* Wed May 27 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0-alt1
- Fork from xfce-settings-simple by Eugene Prokopiev

* Thu Oct 09 2008 Eugene Prokopiev <enp@altlinux.ru> 1.0-alt1
- fork from xfce-settings-lite

* Tue Sep 09 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt7
- fixed templates placenent in subpackages
- smarter defaults for mimetypes

* Tue Sep 02 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt6
- templates for office documents added 

* Wed Aug 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt5
- added xkb plugin 

* Mon Aug 04 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt4
- fixed desktop menu 

* Thu Jun 05 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt3
- drop TangoKDE usag 

* Thu Mar 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt2
- ported to sysiphus 

* Tue Dec 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt1
- renamed from xfce-settings-desktop to xfce-settings-lite 

* Tue Dec 04 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.6-alt1
- changed design, added theme, backgrounds 

* Mon Oct 22 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.5-alt1
- Terminal chamged to urxvt 

* Thu Oct 11 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt1
- some panel buttons moved to subpackages
- added customized menu

* Wed Sep 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3-alt1
- settings for xarchiver added 

* Tue Sep 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt1
- .wm-select added 

* Mon Sep 03 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build



